KSeparator Class Reference

`#include <kseparator.h>`

Inherits QFrame.

## Public Member Functions

| KSeparator (QWidget *parent=0, const char *name=0, WFlags f=0)
| KSeparator (int orientation, QWidget *parent=0, const char *name=0, WFlags f=0)
int | orientation () const
void | setOrientation (int orient)
virtual QSize | sizeHint () const

## Protected Member Functions

virtual void | drawFrame (QPainter *p)
virtual void | virtual_hook (int id, void *data)

## Properties

int | orientation

## Detailed Description

Standard horizontal or vertical separator.

Author
  Michael Roth mroth.nosp@m.@wir.nosp@m.lweb..nosp@m.de

Version

Id
  kseparator.h 465272 2005-09-29 09:47:40Z mueller

Definition at line 33 of file kseparator.h.

## Constructor & Destructor Documentation

KSeparator::KSeparator | ( | QWidget * | parent = `0`,
|  | const char * | name = `0`,
|  | WFlags | f = `0`
| ) |  |

Constructor.

Parameters

  parent | parent object.
  name | name of the new object.
  f | extra QWidget flags.

Definition at line 28 of file kseparator.cpp.

KSeparator::KSeparator | ( | int | orientation,
|  | QWidget * | parent = `0`,
|  | const char * | name = `0`,
|  | WFlags | f = `0`
| ) |  |

Constructor.

Parameters

  orientation | Set the orientation of the separator. Possible values are HLine or Horizontal and VLine or Vertical.
  parent | parent object.
  name | name of the new object.
  f | extra QWidget flags.

Definition at line 38 of file kseparator.cpp.

## Member Function Documentation

void KSeparator::drawFrame | ( | QPainter * | p | ) |

protected virtual

Parameters

  p | pointer to painter

Definition at line 82 of file kseparator.cpp.

int KSeparator::orientation | ( |  | ) | const

Returns the orientation of the separator.

Returns
  int Possible values are VLine and HLine.

void KSeparator::setOrientation | ( | int | orient | ) |

Set the orientation of the separator to `orient`.

Parameters

  orient | Possible values are VLine and HLine.

Definition at line 48 of file kseparator.cpp.

QSize KSeparator::sizeHint | ( | void |  | ) | const

virtual

The recommended height (width) for a horizontal (vertical) separator.

Definition at line 103 of file kseparator.cpp.

The documentation for this class was generated from the following files:

- kseparator.h
- kseparator.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys